.panel-title > a {
  padding: 10px 15px;
  display: block;
  text-decoration: none;
}

.panel-title > a::after {
  transition: transform .3s;
}

.panel-open .panel-title > a::after {
  transform: rotate(-180deg)
}

.panel-body {
  padding: 5px;
}

.panel-body .table > tbody > tr > th {
  padding: 8px 0;
}

.table > thead > tr > th, .table > thead > tr > td, .table > tbody > tr > th, .table > tbody > tr > td, .table > tfoot > tr > th, .table > tfoot > tr > td {
  border-top: none;
}

.fa-question-circle {
  cursor: pointer;
}

label {
  font-weight: normal;
}

.tooltip-inner {
  overflow: hidden;
  text-overflow: ellipsis;
  // white-space: nowrap;
  font-size: 14px;
}

.browsehappy {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

html, body {
  max-height: 100%;
  height: 100vh;
  margin: 0;
  padding: 0;
}

html, *, body {
  box-sizing: border-box;
  // font-size: 16px;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.5rem;
}

.toast-top-right {
  top: 60px;
}

/* Space out content a bit */
body {
  display: flex;
  flex-direction: column;

  footer {
    flex: none;
    height: 100px;
  }

  div[ng-view] {
    flex: 4 1 90%;
  }
}

.container .logo {
    max-width: 50rem;
    max-height: 20rem;
}

.nav.nav-tabs > li > a {
  padding: 12px 0;
}

#stopAddress {
  margin-top: -1px;
}

.btn-input-group {
  margin-top: 10px;
}

.poi-group {
  display: flex;
  button {
    margin-left: 10px;
  }
}

// need to hide defs svg
#pattern,
#pattern svg {
  width: 0px;
  height: 0px;
}

.btn.btn-tile {
  height: 4em;
  width: 6em;
  font-size: 1rem;
  padding: 0.5em;
}

div[ng-view] {
  overflow: auto;
  display: flex;
  // max-height: 100%;

  aside, main {
    max-height: 100%;
    max-width: 100%;
    overflow: auto;
  }

  main {
    flex: 1 1 100%;
    margin-top: 50px;

    #legend {
      height: 100%;
      background-color: #ddd;
      display: flex;

      svg {
        margin: auto;
        background-color: #fff;
      }
    }

    #workspace {
      height: calc(100vh);
      width: auto;
    }
  }

  aside.right-side {
    position: relative;
    z-index: 2;
    width: 0;
    margin-left: 54px;
    margin-bottom: 0;
    border: none;
    display: flex;
    flex-direction: column;
    transition: width .3s;
    box-shadow: 0 0 5px rgba(0,0,0, .2);

    &.panel {
      width: 460px;
    }

    h3 {
      background: $blue;
      font-size: 18px;
      padding: 13px 16px;
      margin-top: 0;
      color: white;
      span {
        margin-right: 6px;
      }
      .btn {
        color: white;
      }
    }
  }

  .aside-content {
    flex: 1 1 100%;
    overflow: auto;
    margin-top: 50px;
    width: 100%;
    // background: $grey;
    // color: white;

    h4:not(.panel-title) {
      font-weight: normal;
      text-transform: uppercase;
      font-size: 16px;
      margin-top: 0;
      padding-bottom: 12px;
      border-bottom: 1px solid #e5e5e5;
    }
  }
  div.aside-footer {
    border-top: 1px solid #e5e5e5;
    text-align: right;
    padding: .5em 0 .5em 0;
  }
}

footer {

  display: flex;

  div:first-child {
    border-right: 1px solid #e5e5e5;
    margin-right: 1em;
  }

  div {
    flex: 0 1 50%;
    width: 50%;

    img {
      max-height: 3em;
      max-width: 6em;
      width: auto;
      height: auto;
      vertical-align: middle;
    }

    ul, ul > li {
      list-style: none;
      margin: 0;
      padding:0;
    }

    table {
      width: 100%;
      max-width: 500px;
      margin: auto;
      td {
        width: 50%;
        padding-bottom: 1em;
      }
    }
  }
}

header {

  display: flex;

  h1, h2, h3, h4 {
    display: inline-block;
  }

  h1 {
    flex: 10 0 auto;
  }
  h2, h3, h4 {
    flex: 1 0 auto;
  }

}

/* Custom page header */
.header, header {
  border-bottom: 1px solid #e5e5e5;

  /* Make the masthead heading the same height as the navigation */
  h3 {
    margin-top: 0;
    margin-bottom: 0;
    line-height: 40px;
    padding-bottom: 19px;
  }
}

/* Custom page footer */
.footer, footer {
  padding-top: 19px;
  color: #777;
  border-top: 1px solid #e5e5e5;
}

.container-narrow > hr {
  margin: 30px 0;
}

/* Main marketing message and sign up button */
.jumbotron {
  text-align: center;
  background-color: transparent;
  height: auto;
  margin: auto;

  .btn {
    font-size: 2rem;
    padding: 1rem;
    margin-bottom: 4rem;
  }

  table {
      width: 100%;
  }
  table.table--five-column {
    td {
        width: 20%;
        text-align: center;
    }
  }
  table.table--four-column {
    td {
        width: 25%;
        text-align: center;
    }
  }

  img {
      max-height: 3rem;
  }
}

/* Supporting marketing content */
.marketing {
  margin: 40px 0;

  p + h4 {
    margin-top: 28px;
  }
}

/* Responsive: Portrait tablets and up */
@media screen and (max-width: 768px) {
  .container {
    max-width: 730px;
  }

  /* Remove the padding we set earlier */
  .header, header,
  .marketing,
  .footer, footer,
  div[ng-view] {
    padding-left: 0;
    padding-right: 0;
  }
  /* Space out the masthead */
  .header, header {
    margin-bottom: 30px;
  }
  /* Remove the bottom border on the jumbotron for visual effect */
  .jumbotron {
    border-bottom: 0;
  }
}


@font-face {
  font-family: Braille_2007;
  src: url('../fonts/Braille_2007.ttf');
}

.braille {
  font-family: Braille_2007;
}

.panel-heading a:after {
  // font-family:'Glyphicons Halflings';
  // content:"\e114";
  font-family: 'Material Icons';
  content: 'keyboard_arrow_down';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 0.75em;
  vertical-align: -15%;
  float: right;
  color: grey;
}
.panel-primary .panel-heading a:after {
  color: white;
}
// .panel-heading a.collapsed:after {
//   content:"\e080";
// }
.panel-body {
  ul {
    padding:0 0 0 0;
    margin:0 0 0 0;
  }
  ul li {
    list-style:none;
    margin-bottom:25px;
  }
  ul li img {
    cursor: pointer;
  }
  .img-responsive {
    max-width: 100%;
  }
}

.form-inline {
  padding-bottom: 15px;
}

.icon-15px {
  width: 15px;
}

.slider-container {
  width: 200px !important;
}

.opt-style-container {
  display: flex;

  justify-content: space-between;
  align-items: center;
}

.opt-style-visu svg g rect, .opt-style-visu svg g path, .opt-style-visu svg g line {
  width: 80px;
}

.opt-style-visu {
  max-width: 30%;
}

.arrow-trick {
  margin-left: 120px;
}
